Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.XFAWidgetModifyInfo Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | XFAWidgetModifyInfo ()
| Constructor. More...

## Static Public Attributes
| attribute_type = _fsdk.XFAWidgetModifyInfo_attribute_type
| The attribute type. Please refer to values starting from FoxitPDFSDKPython3.XFAWidgetModifyInfo.e_WidgetAttributeTypeH and this would be one of these values.
| e_WidgetAttributeTypeAccess = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeAccess
| Widget attribute type: Access.
| e_WidgetAttributeTypeAllowRichText = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeAllowRichText
| Widget attribute type: Allow rich text.
| e_WidgetAttributeTypeBaselineShift = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeBaselineShift
| Widget attribute type: Baseline shift.
| e_WidgetAttributeTypeBorderColor = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeBorderColor
| Widget attribute type: Border color.
| e_WidgetAttributeTypeBorderWidth = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeBorderWidth
| Widget attribute type: Border width.
| e_WidgetAttributeTypeBottomInset = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeBottomInset
| Widget attribute type: Bottom inset.
| e_WidgetAttributeTypeFillColor = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeFillColor
| Widget attribute type: Fill color.
| e_WidgetAttributeTypeFontColor = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeFontColor
| Widget attribute type: Font color.
| e_WidgetAttributeTypeFontHorizontalScale = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeFontHorizontalScale
| Widget attribute type: Font horizontal scale.
| e_WidgetAttributeTypeFracDigits = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeFracDigits
| Widget attribute type: Frac digits.
| e_WidgetAttributeTypeH = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeH
| Widget attribute type: H. Height for layout purposes.
| e_WidgetAttributeTypeLayout = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLayout
| Widget attribute type: Layout.
| e_WidgetAttributeTypeLeadDigits = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLeadDigits
| Widget attribute type: Lead digits.
| e_WidgetAttributeTypeLeftInset = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLeftInset
| Widget attribute type: Left inset.
| e_WidgetAttributeTypeLetterSpacing = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLetterSpacing
| Widget attribute type: Letter spacing.
| e_WidgetAttributeTypeLineHAlign = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLineHAlign
| Widget attribute type: Horizontal text alignment control.
| e_WidgetAttributeTypeLineHeight = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLineHeight
| Widget attribute type: Line height.
| e_WidgetAttributeTypeLineThrough = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLineThrough
| Widget attribute type: Line through.
| e_WidgetAttributeTypeLineThroughPeriod = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLineThroughPeriod
| Widget attribute type: Line through period.
| e_WidgetAttributeTypeLocale = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeLocale
| Widget attribute type: Locale.
| e_WidgetAttributeTypeMarginLeft = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeMarginLeft
| Widget attribute type: Margin left digits.
| e_WidgetAttributeTypeMarginRight = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeMarginRight
| Widget attribute type: Margin right.
| e_WidgetAttributeTypeMaxH = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeMaxH
| Widget attribute type: Max H.
| e_WidgetAttributeTypeMaxW = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeMaxW
| Widget attribute type: Max W.
| e_WidgetAttributeTypeMinH = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeMinH
| Widget attribute type: Min H.
| e_WidgetAttributeTypeMinW = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeMinW
| Widget attribute type: Min W.
| e_WidgetAttributeTypeMultiLine = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeMultiLine
| Widget attribute type: Multiline.
| e_WidgetAttributeTypeNumberOfCells = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeNumberOfCells
| Widget attribute type: Number of cells.
| e_WidgetAttributeTypeOverline = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeOverline
| Widget attribute type: Overline.
| e_WidgetAttributeTypeOverlinePeriod = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeOverlinePeriod
| Widget attribute type: Overline period.
| e_WidgetAttributeTypePasswordChar = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypePasswordChar
| Widget attribute type: Password char.
| e_WidgetAttributeTypePlacement = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypePlacement
| Widget attribute type: Placement.
| e_WidgetAttributeTypePresence = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypePresence
| Widget attribute type: Presence.
| e_WidgetAttributeTypeRightInset = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeRightInset
| Widget attribute type: Right inset.
| e_WidgetAttributeTypeRotate = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeRotate
| Widget attribute type: Rotate.
| e_WidgetAttributeTypeShape = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeShape
| Widget attribute type: Shape.
| e_WidgetAttributeTypeSpaceAbove = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeSpaceAbove
| Widget attribute type: Space above.
| e_WidgetAttributeTypeSpaceBelow = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeSpaceBelow
| Widget attribute type: Space below.
| e_WidgetAttributeTypeStroke = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeStroke
| Widget attribute type: Stroke.
| e_WidgetAttributeTypeTextEncoding = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeTextEncoding
| Widget attribute type: Text encoding.
| e_WidgetAttributeTypeTextIndent = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeTextIndent
| Widget attribute type: Text intent.
| e_WidgetAttributeTypeTopInset = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeTopInset
| Widget attribute type: Top inset.
| e_WidgetAttributeTypeTypeface = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeTypeface
| Widget attribute type: Type face.
| e_WidgetAttributeTypeUnderline = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeUnderline
| Widget attribute type: Underline.
| e_WidgetAttributeTypeUnderlinePeriod = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeUnderlinePeriod
| Widget attribute type: Underline period.
| e_WidgetAttributeTypeUnknown = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeUnknown
| Widget attribute type: Unknown.
| e_WidgetAttributeTypeVAlign = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeVAlign
| Widget attribute type: Vertical text alignment control.
| e_WidgetAttributeTypeValue = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeValue
| Widget attribute type: Value.
| e_WidgetAttributeTypeW = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeW
| Widget attribute type: W. Width for layout purposes.
| e_WidgetAttributeTypeWeight = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeWeight
| Widget attribute type: Weight.
| e_WidgetAttributeTypeX = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeX
| Widget attribute type: X. X coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
| e_WidgetAttributeTypeY = _fsdk.XFAWidgetModifyInfo_e_WidgetAttributeTypeY
| Widget attribute type: Y. Y coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
| e_WidgetElementAccessibleContent = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAccessibleContent
| XFA widget element: Accessible content.
| e_WidgetElementAcrobat = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAcrobat
| XFA widget element: Acrobat.
| e_WidgetElementAcrobat7 = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAcrobat7
| XFA widget element: Acrobat7.
| e_WidgetElementADBE_JSConsole = _fsdk.XFAWidgetModifyInfo_e_WidgetElementADBE_JSConsole
| XFA widget element: ADBE_JSConsole.
| e_WidgetElementADBE_JSDebugger = _fsdk.XFAWidgetModifyInfo_e_WidgetElementADBE_JSDebugger
| XFA widget element: ADBE JS Debugger.
| e_WidgetElementAddSilentPrint = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAddSilentPrint
| XFA widget element: Add silent print.
| e_WidgetElementAddViewerPreferences = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAddViewerPreferences
| XFA widget element: Add viewer preferences.
| e_WidgetElementAdjustData = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAdjustData
| XFA widget element: Adjust data.
| e_WidgetElementAdobeExtensionLevel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAdobeExtensionLevel
| XFA widget element: Adobe extension level.
| e_WidgetElementAgent = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAgent
| XFA widget element: Agent.
| e_WidgetElementAlwaysEmbed = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAlwaysEmbed
| XFA widget element: Always embed.
| e_WidgetElementAmd = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAmd
| XFA widget element: Amd.
| e_WidgetElementAppearanceFilter = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAppearanceFilter
| XFA widget element: Appearance filter.
| e_WidgetElementArc = _fsdk.XFAWidgetModifyInfo_e_WidgetElementArc
| XFA widget element: Arc.
| e_WidgetElementArea = _fsdk.XFAWidgetModifyInfo_e_WidgetElementArea
| XFA widget element: Area.
| e_WidgetElementAssist = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAssist
| XFA widget element: Assist.
| e_WidgetElementAttributes = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAttributes
| XFA widget element: Attributes.
| e_WidgetElementAutoSave = _fsdk.XFAWidgetModifyInfo_e_WidgetElementAutoSave
| XFA widget element: Auto save.
| e_WidgetElementBarcode = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBarcode
| XFA widget element: Barcode.
| e_WidgetElementBase = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBase
| XFA widget element: Base.
| e_WidgetElementBatchOutput = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBatchOutput
| XFA widget element: Batch output.
| e_WidgetElementBehaviorOverride = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBehaviorOverride
| XFA widget element: Behavior override.
| e_WidgetElementBind = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBind
| XFA widget element: bind.
| e_WidgetElementBindItems = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBindItems
| XFA widget element: Bind items.
| e_WidgetElementBookend = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBookend
| XFA widget element: Bookend.
| e_WidgetElementBoolean = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBoolean
| XFA widget element: Boolean.
| e_WidgetElementBorder = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBorder
| XFA widget element: Border.
| e_WidgetElementBreak = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBreak
| XFA widget element: Break.
| e_WidgetElementBreakAfter = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBreakAfter
| XFA widget element: Break after.
| e_WidgetElementBreakBefore = _fsdk.XFAWidgetModifyInfo_e_WidgetElementBreakBefore
| XFA widget element: Break before.
| e_WidgetElementButton = _fsdk.XFAWidgetModifyInfo_e_WidgetElementButton
| XFA widget element: Button.
| e_WidgetElementCache = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCache
| XFA widget element: Cache.
| e_WidgetElementCalculate = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCalculate
| XFA widget element: Calculate.
| e_WidgetElementCalendarSymbols = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCalendarSymbols
| XFA widget element: Calendar symbols.
| e_WidgetElementCaption = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCaption
| XFA widget element: Caption.
| e_WidgetElementCertificate = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCertificate
| XFA widget element: Certificate.
| e_WidgetElementCertificates = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCertificates
| XFA widget element: Certificates.
| e_WidgetElementChange = _fsdk.XFAWidgetModifyInfo_e_WidgetElementChange
| XFA widget element: Change.
| e_WidgetElementCheckButton = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCheckButton
| XFA widget element: Check button.
| e_WidgetElementChoiceList = _fsdk.XFAWidgetModifyInfo_e_WidgetElementChoiceList
| XFA widget element: Choice list.
| e_WidgetElementColor = _fsdk.XFAWidgetModifyInfo_e_WidgetElementColor
| XFA widget element: Color.
| e_WidgetElementComb = _fsdk.XFAWidgetModifyInfo_e_WidgetElementComb
| XFA widget element: Comb.
| e_WidgetElementCommand = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCommand
| XFA widget element: Command.
| e_WidgetElementCommon = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCommon
| XFA widget element: Common.
| e_WidgetElementCompress = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCompress
| XFA widget element: Compress.
| e_WidgetElementCompression = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCompression
| XFA widget element: compression.
| e_WidgetElementCompressLogicalStructure = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCompressLogicalStructure
| XFA widget element: Compress logical structure.
| e_WidgetElementCompressObjectStream = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCompressObjectStream
| XFA widget element: Compress object stream.
| e_WidgetElementConfig = _fsdk.XFAWidgetModifyInfo_e_WidgetElementConfig
| XFA widget element: Config.
| e_WidgetElementConformance = _fsdk.XFAWidgetModifyInfo_e_WidgetElementConformance
| XFA widget element: Conformance.
| e_WidgetElementConnect = _fsdk.XFAWidgetModifyInfo_e_WidgetElementConnect
| XFA widget element: Connect.
| e_WidgetElementConnectionSet = _fsdk.XFAWidgetModifyInfo_e_WidgetElementConnectionSet
| XFA widget element: Connection set.
| e_WidgetElementConnectString = _fsdk.XFAWidgetModifyInfo_e_WidgetElementConnectString
| XFA widget element: Connect string.
| e_WidgetElementContentArea = _fsdk.XFAWidgetModifyInfo_e_WidgetElementContentArea
| XFA widget element: Content area.
| e_WidgetElementContentCopy = _fsdk.XFAWidgetModifyInfo_e_WidgetElementContentCopy
| XFA widget element: Content copy.
| e_WidgetElementCopies = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCopies
| XFA widget element: Copies.
| e_WidgetElementCorner = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCorner
| XFA widget element: Corner.
| e_WidgetElementCreator = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCreator
| XFA widget element: Creator.
| e_WidgetElementCurrencySymbol = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCurrencySymbol
| XFA widget element: Currency symbol.
| e_WidgetElementCurrencySymbols = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCurrencySymbols
| XFA widget element: Currency symbols.
| e_WidgetElementCurrentPage = _fsdk.XFAWidgetModifyInfo_e_WidgetElementCurrentPage
| XFA widget element: Current page.
| e_WidgetElementData = _fsdk.XFAWidgetModifyInfo_e_WidgetElementData
| XFA widget element: Data.
| e_WidgetElementDataGroup = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDataGroup
| XFA widget element: Data group.
| e_WidgetElementDataModel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDataModel
| XFA widget element: Data model.
| e_WidgetElementDataValue = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDataValue
| XFA widget element: Data value.
| e_WidgetElementDataWindow = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDataWindow
| XFA widget element: Data window.
| e_WidgetElementDate = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDate
| XFA widget element: Date.
| e_WidgetElementDatePattern = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDatePattern
| XFA widget element: Pattern.
| e_WidgetElementDatePatterns = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDatePatterns
| XFA widget element: Date patterns.
| e_WidgetElementDateTime = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDateTime
| XFA widget element: DateTime.
| e_WidgetElementDateTimeEdit = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDateTimeEdit
| XFA widget element: Date time edit.
| e_WidgetElementDateTimeSymbols = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDateTimeSymbols
| XFA widget element: Date time symbols.
| e_WidgetElementDay = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDay
| XFA widget element: Day.
| e_WidgetElementDayNames = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDayNames
| XFA widget element: Day names.
| e_WidgetElementDebug = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDebug
| XFA widget element: Debug.
| e_WidgetElementDecimal = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDecimal
| XFA widget element: Decimal.
| e_WidgetElementDefaultTypeface = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDefaultTypeface
| XFA widget element: Default typeface.
| e_WidgetElementDefaultUi = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDefaultUi
| XFA widget element: Default Ui.
| e_WidgetElementDelete = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDelete
| XFA widget element: Delete.
| e_WidgetElementDelta = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDelta
| XFA widget element: Delta.
| e_WidgetElementDeltas = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDeltas
| XFA widget element: Deltas.
| e_WidgetElementDesc = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDesc
| XFA widget element: Desc.
| e_WidgetElementDestination = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDestination
| XFA widget element: Destination.
| e_WidgetElementDigestMethod = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDigestMethod
| XFA widget element: Digest method.
| e_WidgetElementDigestMethods = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDigestMethods
| XFA widget element: Digest methods.
| e_WidgetElementDocumentAssembly = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDocumentAssembly
| XFA widget element: Document assembly.
| e_WidgetElementDraw = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDraw
| XFA widget element: Draw.
| e_WidgetElementDriver = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDriver
| XFA widget element: Driver.
| e_WidgetElementDSigData = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDSigData
| XFA widget element: D sig data.
| e_WidgetElementDuplexOption = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDuplexOption
| XFA widget element: Duplex option.
| e_WidgetElementDynamicRender = _fsdk.XFAWidgetModifyInfo_e_WidgetElementDynamicRender
| XFA widget element: Dynamic render.
| e_WidgetElementEdge = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEdge
| XFA widget element: Edge.
| e_WidgetElementEffectiveInputPolicy = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEffectiveInputPolicy
| XFA widget element: Effective input policy.
| e_WidgetElementEffectiveOutputPolicy = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEffectiveOutputPolicy
| XFA widget element: Effective output policy.
| e_WidgetElementEmbed = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEmbed
| XFA widget element: Embed.
| e_WidgetElementEncoding = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncoding
| XFA widget element: Encoding.
| e_WidgetElementEncodings = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncodings
| XFA widget element: Encodings.
| e_WidgetElementEncrypt = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncrypt
| XFA widget element: Encrypt.
| e_WidgetElementEncryptData = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncryptData
| XFA widget element: Encrypt data.
| e_WidgetElementEncryption = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncryption
| XFA widget element: Encryption.
| e_WidgetElementEncryptionLevel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncryptionLevel
| XFA widget element: Encryption level.
| e_WidgetElementEncryptionMethod = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncryptionMethod
| XFA widget element: Encryption method.
| e_WidgetElementEncryptionMethods = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEncryptionMethods
| XFA widget element: Encrypt methods.
| e_WidgetElementEnforce = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEnforce
| XFA widget element: Enforce.
| e_WidgetElementEquate = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEquate
| XFA widget element: Equate.
| e_WidgetElementEquateRange = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEquateRange
| XFA widget element: Equate range.
| e_WidgetElementEra = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEra
| XFA widget element: Era.
| e_WidgetElementEraNames = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEraNames
| XFA widget element: Era names.
| e_WidgetElementEvent = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEvent
| XFA widget element: Event.
| e_WidgetElementEventPseudoModel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementEventPseudoModel
| XFA widget element: Event pseudo model.
| e_WidgetElementExclGroup = _fsdk.XFAWidgetModifyInfo_e_WidgetElementExclGroup
| XFA widget element: Excl group.
| e_WidgetElementExclude = _fsdk.XFAWidgetModifyInfo_e_WidgetElementExclude
| XFA widget element: Exclude.
| e_WidgetElementExcludeNS = _fsdk.XFAWidgetModifyInfo_e_WidgetElementExcludeNS
| XFA widget element: Exclude NS.
| e_WidgetElementExData = _fsdk.XFAWidgetModifyInfo_e_WidgetElementExData
| XFA widget element: Ex data.
| e_WidgetElementExecute = _fsdk.XFAWidgetModifyInfo_e_WidgetElementExecute
| XFA widget element: Execute.
| e_WidgetElementExObject = _fsdk.XFAWidgetModifyInfo_e_WidgetElementExObject
| XFA widget element: Ex object.
| e_WidgetElementExtras = _fsdk.XFAWidgetModifyInfo_e_WidgetElementExtras
| XFA widget element: Extras.
| e_WidgetElementField = _fsdk.XFAWidgetModifyInfo_e_WidgetElementField
| XFA widget element: Field.
| e_WidgetElementFill = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFill
| XFA widget element: Fill.
| e_WidgetElementFilter = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFilter
| XFA widget element: Filter.
| e_WidgetElementFlipLabel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFlipLabel
| XFA widget element: Flip label.
| e_WidgetElementFloat = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFloat
| XFA widget element: Float.
| e_WidgetElementFont = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFont
| XFA widget element: Font.
| e_WidgetElementFontInfo = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFontInfo
| XFA widget element: Font info.
| e_WidgetElementForm = _fsdk.XFAWidgetModifyInfo_e_WidgetElementForm
| XFA widget element: Form.
| e_WidgetElementFormat = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFormat
| XFA widget element: Format.
| e_WidgetElementFormFieldFilling = _fsdk.XFAWidgetModifyInfo_e_WidgetElementFormFieldFilling
| XFA widget element: Form field filling.
| e_WidgetElementGroupParent = _fsdk.XFAWidgetModifyInfo_e_WidgetElementGroupParent
| XFA widget element: Group parent.
| e_WidgetElementHandler = _fsdk.XFAWidgetModifyInfo_e_WidgetElementHandler
| XFA widget element: Handler.
| e_WidgetElementHostPseudoModel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementHostPseudoModel
| XFA widget element: Host pseudo model.
| e_WidgetElementHyphenation = _fsdk.XFAWidgetModifyInfo_e_WidgetElementHyphenation
| XFA widget element: Hyphenation.
| e_WidgetElementIfEmpty = _fsdk.XFAWidgetModifyInfo_e_WidgetElementIfEmpty
| XFA widget element: If empty.
| e_WidgetElementImage = _fsdk.XFAWidgetModifyInfo_e_WidgetElementImage
| XFA widget element: Image.
| e_WidgetElementImageEdit = _fsdk.XFAWidgetModifyInfo_e_WidgetElementImageEdit
| XFA widget element: Image edit.
| e_WidgetElementIncludeXDPContent = _fsdk.XFAWidgetModifyInfo_e_WidgetElementIncludeXDPContent
| XFA widget element: XDP content.
| e_WidgetElementIncrementalLoad = _fsdk.XFAWidgetModifyInfo_e_WidgetElementIncrementalLoad
| XFA widget element: Incremental load.
| e_WidgetElementIncrementalMerge = _fsdk.XFAWidgetModifyInfo_e_WidgetElementIncrementalMerge
| XFA widget element: Incremental merge.
| e_WidgetElementInsert = _fsdk.XFAWidgetModifyInfo_e_WidgetElementInsert
| XFA widget element: Insert.
| e_WidgetElementInstanceManager = _fsdk.XFAWidgetModifyInfo_e_WidgetElementInstanceManager
| XFA widget element: Instance manager.
| e_WidgetElementInteger = _fsdk.XFAWidgetModifyInfo_e_WidgetElementInteger
| XFA widget element: Integer.
| e_WidgetElementInteractive = _fsdk.XFAWidgetModifyInfo_e_WidgetElementInteractive
| XFA widget element: Interactive.
| e_WidgetElementIssuers = _fsdk.XFAWidgetModifyInfo_e_WidgetElementIssuers
| XFA widget element: Issuers.
| e_WidgetElementItems = _fsdk.XFAWidgetModifyInfo_e_WidgetElementItems
| XFA widget element: Items.
| e_WidgetElementJog = _fsdk.XFAWidgetModifyInfo_e_WidgetElementJog
| XFA widget element: Jog.
| e_WidgetElementKeep = _fsdk.XFAWidgetModifyInfo_e_WidgetElementKeep
| XFA widget element: Keep.
| e_WidgetElementKeyUsage = _fsdk.XFAWidgetModifyInfo_e_WidgetElementKeyUsage
| XFA widget element: Key usage.
| e_WidgetElementLabelPrinter = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLabelPrinter
| XFA widget element: Label printer.
| e_WidgetElementLayout = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLayout
| XFA widget element: Layout.
| e_WidgetElementLayoutPseudoModel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLayoutPseudoModel
| XFA widget element: Layout pseudo model.
| e_WidgetElementLevel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLevel
| XFA widget element: Level.
| e_WidgetElementLine = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLine
| XFA widget element: Line.
| e_WidgetElementLinear = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLinear
| XFA widget element: Linear.
| e_WidgetElementLinearized = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLinearized
| XFA widget element: Linearized.
| e_WidgetElementList = _fsdk.XFAWidgetModifyInfo_e_WidgetElementList
| XFA widget element: List.
| e_WidgetElementLocale = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLocale
| XFA widget element: Locale.
| e_WidgetElementLocaleSet = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLocaleSet
| XFA widget element: Locale set.
| e_WidgetElementLockDocument = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLockDocument
| XFA widget element: Lock document.
| e_WidgetElementLog = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLog
| XFA widget element: Log.
| e_WidgetElementLogPseudoModel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementLogPseudoModel
| XFA widget element: Log pseudo model.
| e_WidgetElementManifest = _fsdk.XFAWidgetModifyInfo_e_WidgetElementManifest
| XFA widget element: Manifest.
| e_WidgetElementMap = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMap
| XFA widget element: Map.
| e_WidgetElementMargin = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMargin
| XFA widget element: Margin.
| e_WidgetElementMdp = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMdp
| XFA widget element: Mdp.
| e_WidgetElementMedium = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMedium
| XFA widget element: Medium.
| e_WidgetElementMediumInfo = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMediumInfo
| XFA widget element: Medium info.
| e_WidgetElementMeridiem = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMeridiem
| XFA widget element: Meridiem.
| e_WidgetElementMeridiemNames = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMeridiemNames
| XFA widget element: Meridiem Names.
| e_WidgetElementMessage = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMessage
| XFA widget element: Message.
| e_WidgetElementMessaging = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMessaging
| XFA widget element: Messaging.
| e_WidgetElementMode = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMode
| XFA widget element: Mode.
| e_WidgetElementModifyAnnots = _fsdk.XFAWidgetModifyInfo_e_WidgetElementModifyAnnots
| XFA widget element: Modify annots.
| e_WidgetElementMonth = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMonth
| XFA widget element: Month.
| e_WidgetElementMonthNames = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMonthNames
| XFA widget element: Month mames.
| e_WidgetElementMsgId = _fsdk.XFAWidgetModifyInfo_e_WidgetElementMsgId
| XFA widget element: Msg Id.
| e_WidgetElementNameAttr = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNameAttr
| XFA widget element: Name attr.
| e_WidgetElementNeverEmbed = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNeverEmbed
| XFA widget element: Never embed.
| e_WidgetElementNodeList = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNodeList
| XFA widget element: Node list.
| e_WidgetElementNumberOfCopies = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNumberOfCopies
| XFA widget element: Number of copies.
| e_WidgetElementNumberPattern = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNumberPattern
| XFA widget element: Number pattern.
| e_WidgetElementNumberPatterns = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNumberPatterns
| XFA widget element: Number patterns.
| e_WidgetElementNumberSymbol = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNumberSymbol
| XFA widget element: Number symbol.
| e_WidgetElementNumberSymbols = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNumberSymbols
| XFA widget element: Number symbols.
| e_WidgetElementNumericEdit = _fsdk.XFAWidgetModifyInfo_e_WidgetElementNumericEdit
| XFA widget element: Numeric edit.
| e_WidgetElementOccur = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOccur
| XFA widget element: Occur.
| e_WidgetElementOid = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOid
| XFA widget element: Oid.
| e_WidgetElementOids = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOids
| XFA widget element: Oids.
| e_WidgetElementOpenAction = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOpenAction
| XFA widget element: Open action.
| e_WidgetElementOperation = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOperation
| XFA widget element: Operation.
| e_WidgetElementOutput = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOutput
| XFA widget element: Output.
| e_WidgetElementOutputBin = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOutputBin
| XFA widget element: Output bin.
| e_WidgetElementOutputXSL = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOutputXSL
| XFA widget element: Output XSL.
| e_WidgetElementOverflow = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOverflow
| XFA widget element: Overflow.
| e_WidgetElementOverprint = _fsdk.XFAWidgetModifyInfo_e_WidgetElementOverprint
| XFA widget element: Overprint.
| e_WidgetElementPacket = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPacket
| XFA widget element: Packet.
| e_WidgetElementPackets = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPackets
| XFA widget element: Packets.
| e_WidgetElementPageArea = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPageArea
| XFA widget element: Page area.
| e_WidgetElementPageOffset = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPageOffset
| XFA widget element: Page offset.
| e_WidgetElementPageRange = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPageRange
| XFA widget element: Page range.
| e_WidgetElementPageSet = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPageSet
| XFA widget element: Page set.
| e_WidgetElementPagination = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPagination
| XFA widget element: Pagination.
| e_WidgetElementPaginationOverride = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPaginationOverride
| XFA widget element: Pagination override.
| e_WidgetElementPara = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPara
| XFA widget element: Para.
| e_WidgetElementPart = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPart
| XFA widget element: Part.
| e_WidgetElementPassword = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPassword
| XFA widget element: Password.
| e_WidgetElementPasswordEdit = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPasswordEdit
| XFA widget element: Password edit .
| e_WidgetElementPattern = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPattern
| XFA widget element: Pattern.
| e_WidgetElementPcl = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPcl
| XFA widget element: Pcl.
| e_WidgetElementPdf = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPdf
| XFA widget element: Pdf.
| e_WidgetElementPdfa = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPdfa
| XFA widget element: Pdfa.
| e_WidgetElementPermissions = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPermissions
| XFA widget element: Permissions.
| e_WidgetElementPickTrayByPDFSize = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPickTrayByPDFSize
| XFA widget element: Pick tray by PDF size.
| e_WidgetElementPicture = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPicture
| XFA widget element: Picture.
| e_WidgetElementPlaintextMetadata = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPlaintextMetadata
| XFA widget element: Plain text metadata.
| e_WidgetElementPresence = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPresence
| XFA widget element: Presence.
| e_WidgetElementPresent = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPresent
| XFA widget element: Present.
| e_WidgetElementPrint = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPrint
| XFA widget element: Print.
| e_WidgetElementPrinterName = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPrinterName
| XFA widget element: Printer name.
| e_WidgetElementPrintHighQuality = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPrintHighQuality
| XFA widget element: Print high quality.
| e_WidgetElementPrintScaling = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPrintScaling
| XFA widget element: Print scaling.
| e_WidgetElementProducer = _fsdk.XFAWidgetModifyInfo_e_WidgetElementProducer
| XFA widget element: Producer.
| e_WidgetElementProto = _fsdk.XFAWidgetModifyInfo_e_WidgetElementProto
| XFA widget element: Proto.
| e_WidgetElementPs = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPs
| XFA widget element: Ps.
| e_WidgetElementPsMap = _fsdk.XFAWidgetModifyInfo_e_WidgetElementPsMap
| XFA widget element: Ps Map.
| e_WidgetElementQuery = _fsdk.XFAWidgetModifyInfo_e_WidgetElementQuery
| XFA widget element: Query.
| e_WidgetElementRadial = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRadial
| XFA widget element: Radial.
| e_WidgetElementRange = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRange
| XFA widget element: Range.
| e_WidgetElementReason = _fsdk.XFAWidgetModifyInfo_e_WidgetElementReason
| XFA widget element: Reason.
| e_WidgetElementReasons = _fsdk.XFAWidgetModifyInfo_e_WidgetElementReasons
| XFA widget element: Reasons.
| e_WidgetElementRecord = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRecord
| XFA widget element: Record.
| e_WidgetElementRecordSet = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRecordSet
| XFA widget element: Record set.
| e_WidgetElementRectangle = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRectangle
| XFA widget element: rectangle.
| e_WidgetElementRef = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRef
| XFA widget element: Ref.
| e_WidgetElementRelevant = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRelevant
| XFA widget element: Relevant.
| e_WidgetElementRename = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRename
| XFA widget element: Rename.
| e_WidgetElementRenderPolicy = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRenderPolicy
| XFA widget element: Render policy.
| e_WidgetElementRootElement = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRootElement
| XFA widget element: Root element.
| e_WidgetElementRunScripts = _fsdk.XFAWidgetModifyInfo_e_WidgetElementRunScripts
| XFA widget element: Run scripts.
| e_WidgetElementScript = _fsdk.XFAWidgetModifyInfo_e_WidgetElementScript
| XFA widget element: Script.
| e_WidgetElementScriptModel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementScriptModel
| XFA widget element: Script model.
| e_WidgetElementSelect = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSelect
| XFA widget element: Select.
| e_WidgetElementSetProperty = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSetProperty
| XFA widget element: Set property.
| e_WidgetElementSeverity = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSeverity
| XFA widget element: Severity.
| e_WidgetElementSharptext = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSharptext
| XFA widget element: Sharptext.
| e_WidgetElementSharpxHTML = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSharpxHTML
| XFA widget element: Sharpx HTML.
| e_WidgetElementSharpxml = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSharpxml
| XFA widget element: Sharpxml.
| e_WidgetElementSignature = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSignature
| XFA widget element: Signature.
| e_WidgetElementSignatureProperties = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSignatureProperties
| XFA widget element: Signature properties.
| e_WidgetElementSignaturePseudoModel = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSignaturePseudoModel
| XFA widget element: Signature pseudo model.
| e_WidgetElementSignData = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSignData
| XFA widget element: Sign data.
| e_WidgetElementSigning = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSigning
| XFA widget element: Signing.
| e_WidgetElementSilentPrint = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSilentPrint
| XFA widget element: slient print.
| e_WidgetElementSoapAction = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSoapAction
| XFA widget element: Soap action.
| e_WidgetElementSoapAddress = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSoapAddress
| XFA widget element: Soap address.
| e_WidgetElementSolid = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSolid
| XFA widget element: Solid.
| e_WidgetElementSource = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSource
| XFA widget element: Source.
| e_WidgetElementSourceSet = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSourceSet
| XFA widget element: Source set.
| e_WidgetElementSpeak = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSpeak
| XFA widget element: Speak.
| e_WidgetElementStaple = _fsdk.XFAWidgetModifyInfo_e_WidgetElementStaple
| XFA widget element: Staple.
| e_WidgetElementStartNode = _fsdk.XFAWidgetModifyInfo_e_WidgetElementStartNode
| XFA widget element: Start node.
| e_WidgetElementStartPage = _fsdk.XFAWidgetModifyInfo_e_WidgetElementStartPage
| XFA widget element: Start page.
| e_WidgetElementStipple = _fsdk.XFAWidgetModifyInfo_e_WidgetElementStipple
| XFA widget element: Stipple.
| e_WidgetElementSubform = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubform
| XFA widget element: Subform.
| e_WidgetElementSubformSet = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubformSet
| XFA widget element: Subform set.
| e_WidgetElementSubjectDN = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubjectDN
| XFA widget element: DN.
| e_WidgetElementSubjectDNs = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubjectDNs
| XFA widget element: DNs.
| e_WidgetElementSubmit = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubmit
| XFA widget element: Submit.
| e_WidgetElementSubmitFormat = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubmitFormat
| XFA widget element: Submit format.
| e_WidgetElementSubmitUrl = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubmitUrl
| XFA widget element: Submit Url.
| e_WidgetElementSubsetBelow = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSubsetBelow
| XFA widget element: Subset below.
| e_WidgetElementSuppressBanner = _fsdk.XFAWidgetModifyInfo_e_WidgetElementSuppressBanner
| XFA widget element: Suppress banner.
| e_WidgetElementTagged = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTagged
| XFA widget element: Tagged.
| e_WidgetElementTemplate = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTemplate
| XFA widget element: Template.
| e_WidgetElementTemplateCache = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTemplateCache
| XFA widget element: Template cache.
| e_WidgetElementText = _fsdk.XFAWidgetModifyInfo_e_WidgetElementText
| XFA widget element: Text.
| e_WidgetElementTextEdit = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTextEdit
| XFA widget element: Text edit.
| e_WidgetElementThreshold = _fsdk.XFAWidgetModifyInfo_e_WidgetElementThreshold
| XFA widget element: Threshold.
| e_WidgetElementTime = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTime
| XFA widget element: Time.
| e_WidgetElementTimePattern = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTimePattern
| XFA widget element: Time pattern.
| e_WidgetElementTimePatterns = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTimePatterns
| XFA widget element: Time patterns.
| e_WidgetElementTimeStamp = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTimeStamp
| XFA widget element: Time stamp.
| e_WidgetElementTo = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTo
| XFA widget element: To.
| e_WidgetElementToolTip = _fsdk.XFAWidgetModifyInfo_e_WidgetElementToolTip
| XFA widget element: Tool tip.
| e_WidgetElementTrace = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTrace
| XFA widget element: Trace.
| e_WidgetElementTransform = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTransform
| XFA widget element: Transform.
| e_WidgetElementTraversal = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTraversal
| XFA widget element: traversal.
| e_WidgetElementTraverse = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTraverse
| XFA widget element: Traverse.
| e_WidgetElementType = _fsdk.XFAWidgetModifyInfo_e_WidgetElementType
| XFA widget element: Type.
| e_WidgetElementTypeface = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTypeface
| XFA widget element: Type face.
| e_WidgetElementTypefaces = _fsdk.XFAWidgetModifyInfo_e_WidgetElementTypefaces
| XFA widget element: Typefaces.
| e_WidgetElementUi = _fsdk.XFAWidgetModifyInfo_e_WidgetElementUi
| XFA widget element: Ui.
| e_WidgetElementUpdate = _fsdk.XFAWidgetModifyInfo_e_WidgetElementUpdate
| XFA widget element: Update.
| e_WidgetElementUri = _fsdk.XFAWidgetModifyInfo_e_WidgetElementUri
| XFA widget element: Uri.
| e_WidgetElementUser = _fsdk.XFAWidgetModifyInfo_e_WidgetElementUser
| XFA widget element: user.
| e_WidgetElementValidate = _fsdk.XFAWidgetModifyInfo_e_WidgetElementValidate
| XFA widget element: Validate.
| e_WidgetElementValidateApprovalSignatures = _fsdk.XFAWidgetModifyInfo_e_WidgetElementValidateApprovalSignatures
| XFA widget element: Validate approval signatures.
| e_WidgetElementValidationMessaging = _fsdk.XFAWidgetModifyInfo_e_WidgetElementValidationMessaging
| XFA widget element: Validation messaging.
| e_WidgetElementValue = _fsdk.XFAWidgetModifyInfo_e_WidgetElementValue
| XFA widget element: Value.
| e_WidgetElementVariables = _fsdk.XFAWidgetModifyInfo_e_WidgetElementVariables
| XFA widget element: Variables.
| e_WidgetElementVersion = _fsdk.XFAWidgetModifyInfo_e_WidgetElementVersion
| XFA widget element: Version.
| e_WidgetElementVersionControl = _fsdk.XFAWidgetModifyInfo_e_WidgetElementVersionControl
| XFA widget element: Version control.
| e_WidgetElementViewerPreferences = _fsdk.XFAWidgetModifyInfo_e_WidgetElementViewerPreferences
| XFA widget element: Viewer preferences.
| e_WidgetElementWebClient = _fsdk.XFAWidgetModifyInfo_e_WidgetElementWebClient
| XFA widget element: Web client.
| e_WidgetElementWhitespace = _fsdk.XFAWidgetModifyInfo_e_WidgetElementWhitespace
| XFA widget element: Whitespace.
| e_WidgetElementWindow = _fsdk.XFAWidgetModifyInfo_e_WidgetElementWindow
| XFA widget element: Window.
| e_WidgetElementWsdlAddress = _fsdk.XFAWidgetModifyInfo_e_WidgetElementWsdlAddress
| XFA widget element: Wsdl address.
| e_WidgetElementWsdlConnection = _fsdk.XFAWidgetModifyInfo_e_WidgetElementWsdlConnection
| XFA widget element: Wsdl connection.
| e_WidgetElementXdc = _fsdk.XFAWidgetModifyInfo_e_WidgetElementXdc
| XFA widget element: Xdc.
| e_WidgetElementXdp = _fsdk.XFAWidgetModifyInfo_e_WidgetElementXdp
| XFA widget element: Xdp.
| e_WidgetElementXfa = _fsdk.XFAWidgetModifyInfo_e_WidgetElementXfa
| XFA widget element: Xfa.
| e_WidgetElementXmlConnection = _fsdk.XFAWidgetModifyInfo_e_WidgetElementXmlConnection
| XFA widget element: Xml connection .
| e_WidgetElementXMLData = _fsdk.XFAWidgetModifyInfo_e_WidgetElementXMLData
| XFA widget element: XML data.
| e_WidgetElementXsdConnection = _fsdk.XFAWidgetModifyInfo_e_WidgetElementXsdConnection
| XFA widget element: Xsd connection.
| e_WidgetElementXsl = _fsdk.XFAWidgetModifyInfo_e_WidgetElementXsl
| XFA widget element: Xsl.
| e_WidgetElementZpl = _fsdk.XFAWidgetModifyInfo_e_WidgetElementZpl
| XFA widget element: Zpl.
| element = _fsdk.XFAWidgetModifyInfo_element
| The XFA widget element. Please refer to values starting from FoxitPDFSDKPython3.XFAWidgetModifyInfo.e_WidgetElementPs and this would be one of these values.
| event_type = _fsdk.XFAWidgetModifyInfo_event_type
| The XFA event type. Please refer to values starting from FoxitPDFSDKPython3.XFADoc.e_EventTypeUnknown and this would be one of these values.
| new_value = _fsdk.XFAWidgetModifyInfo_new_value
| The new value.
| old_value = _fsdk.XFAWidgetModifyInfo_old_value
| The old value.
| page_index = _fsdk.XFAWidgetModifyInfo_page_index
| The page index.
| widget_name = _fsdk.XFAWidgetModifyInfo_widget_name
| The xfa widget name.

## Detailed Description

This class represents the xfa widget modify information

## Constructor & Destructor Documentation

## ◆ XFAWidgetModifyInfo()

def FoxitPDFSDKPython3.XFAWidgetModifyInfo.XFAWidgetModifyInfo | ( |  | ) |

Constructor.

Constructor, with parameters.

Constructor, with another xfa widget modify information object.

Parameters

  [in] | other | Another xfa widget modify information object.
  [in] | event_type | The XFA event type.
  [in] | page_index | The modify page index.
  [in] | element | The xfa widget element.
  [in] | attribute_type | The xfa widget attribute type.
  [in] | old_value | The old value.
  [in] | new_value | The new value.
  [in] | widget_name | The widget name.